Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZForgot Class Reference

## Public Member Functions
| eZForgot ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
| check ( $hash)
| id ()
| userID ()
| setUserID ( $value)
| hash ()

## Public Attributes
| $UserID
| $ID
| $Hash

## Detailed Description

! eZUser eZForgot handles forgotten password. The user send a mail and get a hash returned, the user use the hash to get a new password.

Example code:

// Create a forgot object and store it in the database.
$forgot = new eZForgot( $userID );
$forgot->setUserID( $userID );
$forgot->store(); // The store function generate a hash.
// Return the hash
$hashVaraiable = $forgot->hash();
// Check if the hash is legal.
$forgot->check( $hashVariable );
$userID
else $userID
Definition: appointmentedit.php:121
eZForgot\eZForgot
eZForgot( $id=-1)
Definition: ezforgot.php:65

See also
  eZUser eZUserGroup eZPermission eZForgot

Definition at line 57 of file ezforgot.php.

## Member Function Documentation

## ◆ check()

eZForgot::check | ( |  | $hash | ) |

Chech if hash is true or not. Returnes false if unsuccessful.

Definition at line 164 of file ezforgot.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ delete()

eZForgot::delete | ( |  | ) |

Deletes a eZForgot object from the database.

Definition at line 118 of file ezforgot.php.

References $db, and eZDB\globalDatabase().

## ◆ eZForgot()

eZForgot::eZForgot | ( |  | $id = `-1` | ) |

Constructs a new eZForgot object.

If $id is set the object's values are fetched from the database.

Definition at line 65 of file ezforgot.php.

References $id, and $ID.

## ◆ get()

eZForgot::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 135 of file ezforgot.php.

References $db, $id, $ret, and eZDB\globalDatabase().

## ◆ hash()

eZForgot::hash | ( |  | ) |

Retuns the hash

Definition at line 207 of file ezforgot.php.

References $Hash.

## ◆ id()

eZForgot::id | ( |  | ) |

Returns the object id.

Definition at line 183 of file ezforgot.php.

References $ID.

## ◆ setUserID()

eZForgot::setUserID | ( |  | $value | ) |

Sets the login.

Definition at line 199 of file ezforgot.php.

## ◆ store()

eZForgot::store | ( |  | ) |

Stores or updates a eZForgot object in the database.

Definition at line 77 of file ezforgot.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ userID()

eZForgot::userID | ( |  | ) |

Returns the users login.

Definition at line 191 of file ezforgot.php.

References $UserID.

## Member Data Documentation

## ◆ $Hash

eZForgot::$Hash

Definition at line 214 of file ezforgot.php.

Referenced by hash().

## ◆ $ID

eZForgot::$ID

Definition at line 213 of file ezforgot.php.

Referenced by eZForgot(), and id().

## ◆ $UserID

eZForgot::$UserID

Definition at line 212 of file ezforgot.php.

Referenced by userID().

The documentation for this class was generated from the following file:

- ezforgot.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.